Skip to main content
GET
Get related person
Required scope: COMPANIES_READ

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14
Example:

"2025-02-14"

Path Parameters

id
string<uuid>
required

Company identifier

personId
string<uuid>
required

Related person identifier

Response

Related person details

Company related person

id
string<uuid>
required

Unique related person identifier

companyId
string<uuid>
required

Company this person belongs to

fullName
string | null
required

Full name of the person

email
string<email> | null
required

Email address of the person

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
status
enum<string>
required

Verification status

Available options:
NOT_STARTED,
IN_REVIEW,
APPROVED,
REJECTED
Example:

"NOT_STARTED"

isActive
boolean
required

Whether the related person is still addressable. False when the person has been archived.

createdAt
string
required

When the person was added (ISO 8601)

updatedAt
string
required

When the person was last updated (ISO 8601)